Subject: Re: HTTP/1.1: RFC2068 versus RFC2616, RFC1590 versus RFC2048

From: "Bjoern Hoehrmann" <[email-masked]>
Date: Sun, 10 Sep 2000 15:45:39 +0200

* "Alan J. Flavell" <[email-masked]> wrote:
| Greetings,
|
| In discussion on a German-language usenet group, Bjoern Hoehrmann
| has pointed out a surprising discrepancy between RFC2068 and RFC2616.
|
| It was not entirely clear to me where this should be reported, but
| your email address is on the issues list page at W3C, so maybe this is
| the place to try first.

Amazing coincidence :-) I was going to ask at the HTTP WG Mailing List when
your mail arrived. So let's ask there:

| In section 3.7 "Media Types", the earlier RFC2068 refers correctly to
| RFC2048 in relation to IANA registrations, but the later RFC still
| refers to the obsoleted RFC1590.
|
| Looking at the history of these documents as noted at
| http://www.w3.org/Protocols/History.html#HTTP11
| one finds that _all_ of the drafts (even the one which is described as
| having become RFC2068) are citing the obsolete RFC1590.  However,
| RFC2068 itself had been corrected to cite RFC2048.
|
| As far as I could determine, the documents which set out the
| differences between RFC2068 and the later drafts make no mention of
| this difference - not even the ones which claim to show change-bars
| >from RFC2068.  So it appears that the correction must have been
| slipped-in to RFC2068 at the last moment - and somehow left no tracks
| on the main drafting sequence.
|
| I don't see any mention of this on the HTTP/1.1 Specification Errata
| page at
| http://www.agranat.com/fs/public/lawrence/http_errata.html
| either.
|
| Maybe an item should be added to the errata, calling for the
| reference to RFC1590 to be corrected to RFC2048?

best regards,
--
Björn Höhrmann ^ mailto:[email-masked] ^ http://www.bjoernsworld.de
am Badedeich 7 ° Telefon: +49(0)4667/981ASK ° http://www.websitedev.de/
25899 Dagebüll # PGP Pub. KeyID: 0xA4357E78 # http://learn.to/quote +{i}
    --- All I want for Christmas is well-formedness -- Evan Lenz ---

---

From: [email-masked] (Jim Gettys)
Date: Sun, 10 Sep 2000 07:58:37 -0700 (PDT)

Generally, when an RFC gets prepared, one tries to catch references
that have been obsoleted, and the RFC editor also tries to do so as well.

We'll try to get it fixed for the full standard draft.
				- Jim

--
Jim Gettys
Technology and Corporate Development
Compaq Computer Corporation
[email-masked]

---

From: "Scott Lawrence" <[email-masked]>
Date: Mon, 11 Sep 2000 11:59:26 -0400

> In section 3.7 "Media Types", the earlier RFC2068 refers
> correctly to RFC2048 in relation to IANA registrations, but the
> later RFC still refers to the obsoleted RFC1590.

> I don't see any mention of this on the HTTP/1.1 Specification
> Errata page at
> http://www.agranat.com/fs/public/lawrence/http_errata.html
> either.

> Maybe an item should be added to the errata, calling for the
> reference to RFC1590 to be corrected to RFC2048?

Done.
 
 http://purl.org/NET/http-errata#media-reg
 
--
Scott Lawrence         Architect             <[email-masked]>
Virata             http://www.virata.com/         http://emweb.com/